メインコンテンツまでスキップ

List Groups (V2)

Lists SCIM groups in the calling organization.

GET/v2/groups
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つAPIキーである必要があります。

値の例: Bearer {{TOKEN}}
groupNamestringquery

グループの表示名と照合する部分文字列。

値の例: eng
currentPageintegerquery

返すページ番号。最初のページは1です。

値の例: 1
pageSizeintegerquery

1ページあたりに返す項目数。

値の例: 10
bash
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/groups" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

成功した結果またはエラーメッセージを返します。

成功したレスポンス。

codeinteger必要

レスポンスコード。

値の例: 0
dataobject必要
countinteger必要

一致する項目の総数。

currentPageinteger必要

現在のページ番号。

値の範囲: ≥ 1
pageSizeinteger必要

要求されたページサイズ。

値の範囲: ≥ 1
groupsarray必要

このページで返されたグループ。

[]groupsobject必要
groupIdstring必要

SCIMグループID。

groupNamestring必要

グループの表示名。

memberCountinteger必要

グループ内のメンバー数。

失敗したレスポンス。

codeinteger必要

レスポンスコード。

messagestring必要

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"count": 2,
"currentPage": 1,
"pageSize": 10,
"groups": [
{
"groupId": "g-xxxxxxxxxxxxxx",
"groupName": "engineering",
"memberCount": 12
},
{
"groupId": "g-yyyyyyyyyyyyyy",
"groupName": "data-readers",
"memberCount": 3
}
]
}
}
Ctrl I